<?php
/**
 * @package    com_responsibilities
 * @subpackage fields
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

JFormHelper::loadFieldClass('list');

/**
 * Formularfeld liefert Optionen für eine Select Liste.
 * @since 1.0.0
 */ 
class JFormFieldResponsibilitiesWickedUser extends JFormFieldList {

    //The field class must know its own type through the variable $type.
    protected $type = 'ResponsibilitiesWickedUser';

    public function getOptions($distributor_id = 0)
    {
    	$debug		= false;
		$options	= array();
		$options[]	= JHtml::_('select.option', 0, 'AGMEDIA_SELECT_OPTION_DEFAULT', 'value', 'text');

		if(!AgmLibExtension::isInstalled('com_wicked')) return $options;


		$jinput 	= JFactory::getApplication()->input;
		$db 		= JFactory::getDbo();

		//Joomla Benutzer laden
		$conditions = array(
		    'published'		.' = '. 1,
		);		
		
		$query  = $db->getQuery(true);
		$query  ->select('id, title')
		    	->from('#__wickedteam_members')
		    	->where($conditions);

		if($debug) echo $query->dump();

		$db->setQuery($query);
		$db->execute();
		$count = $db->getNumRows();
		$result = $db->loadAssocList();		

		//RESULT LIKE:
		//[0] => Array
		//    (
		//        [id] => 227
		//        [title] => Nicolas Reinecke
		//    )
		//
		//[1] => Array
		//    (
		//        [id] => 228
		//        [title] => Nico Lautenschlager
		//    )
		
		if($debug) {
			echo "-----------------------------------\n";
			echo "Result";
	        echo "<pre>";
	        print_r($result);
			echo "</pre>";
		}	
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++
		//+ Result verarbeiten
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		if(count($result) > 0) {
			
			//Temporäres Array um nach dem Nachname zu sortieren da MYSQL standardmäßig keine SPLIT Funktion anbietet und Joomla Nachname und Vorname in einem Feld speichert
            $tmp_sorted_array = array();
            foreach($result as $key => $option) {
                $name = explode(' ', $option['title']);
                $tmp['id']			= $option['id'];
                $tmp['vorname'] 	= $name[0];
                $tmp['nachname']	= $name[1];
                $tmp_sorted_array[] = $tmp;
            }
            
			//Array sortieren
			usort($tmp_sorted_array, function ($a, $b){
				if($a["nachname"] == $b["nachname"]) {
					return strcmp($a["vorname"], $b["vorname"]);
				}
				
				return strcmp($a["nachname"], $b["nachname"]);
			});            
            
			if($debug) {
				echo "-----------------------------------\n";
				echo "Sortiertes Result Array";
		        echo "<pre>";
		        print_r($tmp_sorted_array);
				echo "</pre>";
			}				
			
			
	        //SELECT OPTION bauen
	        foreach($tmp_sorted_array as $key => $option) {
	
	            $text  = (string) ' ' . $option['nachname'] . ' ' . $option['vorname'] ;
	            $value = $option['id'];
	            $disabled = '';
	
	            $tmp = JHtml::_(
	                'select.option', $value,
	                $text, 'value', 'text',
	                $disabled
	            );
	
	            $options[] = $tmp;
	        }
		}
		
	    
		if($debug) {
			echo "-----------------------------------\n";
			echo "options array \n";
			print_r($options);
			exit;
		}

		reset($options);
		return $options;
    }

}