<?php
/**
 * @package    com_responsibilities
 * @subpackage tables
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

class ResponsibilitiesTablePerson extends JTable
{
    public $id;
    public $created;
    public $created_by;
    public $publish_up;
    public $publish_down;
    public $modified;
    public $modified_by;

    public function __construct($db)
    {
        parent::__construct('#__responsibilities', 'id', $db);
        
		$this->created      = JFactory::getDate()->toSql();
		$this->created_by   = JFactory::getUser()->id;

		$this->setColumnAlias('published', 'state');
    }

    /**
     * Overloaded check function
     *
     * @return  boolean
     *
     * @see     JTable::check
     * @since   1.0.0
     */
    public function check()
    {
        //Set modified
        if($this->id != 0) {
            $this->modified = JFactory::getDate()->toSql();
            $this->modified_by = JFactory::getUser()->id;
        }

        return parent::check();
    }

}